#!/system/bin/busybox sh

# Vibrator configuration
echo 2400 > /sys/devices/platform/msm_pmic_vibrator/voltage_mv

# lm3530 LMU configuration
dev=/sys/devices/platform/i2c-adapter/i2c-0/0-0036
echo linear > $dev/br::mapping  # linear exp
echo 32768 > $dev/br::rate::up   # 8, 1024, 2048, 4096, 8192, 16384, 32768, 65538
echo 32768 > $dev/br::rate::down # 8, 1024, 2048, 4096, 8192, 16384, 32768, 65538
echo 254 > $dev/br::limit       # 0 - 255
echo 22.5 > $dev/br::fsc        # 5.0, 8.5, 12.0, 15.5, 19.0, 22.5, 26.0, 29.5
echo 4,16,64,250 > $dev/curve::borders
echo 47,75,114,164,226 > $dev/curve::targets
echo high-z > $dev/als::r1      # high-z, 9360, 5560 .. 677.6 (see chip mnual)
echo high-z > $dev/als::r2      # high-z, 9360, 5560 .. 677.6 (see chip mnual)
echo 128 > $dev/als::avg-t     # 32, 63, 128, 256, 512, 1024, 2048, 4096
echo i2c_pwm_als > $dev/mode    # i2c, pwm, i2c_pwm, als, pwm_als, i2c_pwm_als, i2_als

# Proximity sensor configuration
dev=/sys/devices/platform/proximity-sensor/semc/proximity-sensor
echo  15 > $dev/led_on_ms         # sensor LED on time in ms
echo  35 > $dev/led_off_ms       # sensor LED off time in ms

# CPU Governor
echo "ondemand" > /sys/devices/system/cpu/cpu0/cpufreq/scaling_governor
echo 80 > /sys/devices/system/cpu/cpu0/cpufreq/ondemand/up_threshold
echo 40 > /sys/devices/system/cpu/cpu0/cpufreq/ondemand/down_differential
echo 400000 > /sys/devices/system/cpu/cpu0/cpufreq/ondemand/sampling_rate
echo 122880 > /sys/devices/system/cpu/cpu0/cpufreq/scaling_min_freq

# Flash LED configuration
dev=/sys/devices/platform/msm_pmic_flash_led
echo 80 > $dev/spotlight::current_ma # spotlight current
echo 4700 > $dev/spotlight::boost_mv # spotlight boost voltage
echo 480 > $dev/cmaflash::current_ma # camera flash current
echo 5000 > $dev/cmaflash::boost_mv # camera flash  voltage

# Overclocking
echo x25 > /proc/x8oc
sleep 2
echo "ondemand" > /sys/devices/system/cpu/cpu0/cpufreq/scaling_governor
echo 90 > /sys/devices/system/cpu/cpu0/cpufreq/ondemand/up_threshold
echo 30 > /sys/devices/system/cpu/cpu0/cpufreq/ondemand/down_differential
echo 500000 > /sys/devices/system/cpu/cpu0/cpufreq/ondemand/sampling_rate
echo 122880 > /sys/devices/system/cpu/cpu0/cpufreq/scaling_min_freq
echo 600000 > /sys/devices/system/cpu/cpu0/cpufreq/scaling_max_freq

# Needed by FM Radio
mkdir /data/radio
chmod 0777 /data/radio
chmod 0777 /dev/msm*
chmod 0777 /dev/pmem_adsp
chmod 0777 /dev/msm_camera/*
chmod 0777 /dev/graphics/*
chmod 0777 /dev/oncrpc/*
chmod 0777 /sys/class/semc/rgb_led/*

###Drain battery fix ??
mount -o remount,noatime,noauto_da_alloc,nodiratime,barrier=0,nobh,rw /dev/block/mtdblock0 /system
chmod u+s /system/bin/charger

###enable swap(partition3)###
#swapon /dev/block/mmcblk0p3
#echo "10" > /proc/sys/vm/swappiness


###enable KSM###
#echo 1 > /sys/kernel/mm/ksm/run


###fsync_disabled###
###Writing 1 to this file disable all the per-file sync capabilities:
###fsync(), fdatasync(), sync_file_range(); writing 0 re-enables them.
###WARNING: disabling fsync may cause loss of data if application crashes
#echo 1 > /sys/module/sync/parameters/fsync_disabled


###sysctl and ram tweak###
#echo "2000" > /proc/sys/vm/dirty_writeback_centisecs	# Misc tweaks for battery life	#500 
#echo "500" > /proc/sys/vm/dirty_expire_centisecs		#200 
#echo "40" > /proc/sys/vm/vfs_cache_pressure			#sysctl vm tweaks org	#100	 	
#echo "95" > /proc/sys/vm/dirty_ratio					#10
#echo "40" > /proc/sys/vm/dirty_background_ratio		#5
#echo "4096" > /proc/sys/vm/min_free_kbytes				#1869


###Change IO scheduler###
#SCHEDULER=sio
#MMC=`ls -d /sys/block/mmc*`;
#MTD=`ls -d /sys/block/mtd*`;
#LOOP=`ls -d /sys/block/loop*`;
#RAM=`ls -d /sys/block/ram*`;
#for i in $LOOP $MTD $MMC;
#do
#echo $SCHEDULER > $i/queue/scheduler;
#done;

